package com.example.afrishop_v3.models;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;

@Entity
@Getter
@Setter
public class PostLike extends Model {
    @JsonIgnore
    @ManyToOne(cascade = CascadeType.ALL)
    private Post post;

    @ManyToOne()
    private TbCfUserInfo userInfo;


    public Long getPostId() {
        return post == null ? null : post.id;
    }

    public String getUserId() {
        return userInfo == null ? null : userInfo.getUserId();
    }
}
